<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Create and Modify MEI Documents
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Subject-specific-Tools-and-Services_7439956.html">Subject-specific Tools and Services</a></span>
              </li>
              <li>
                <span><a href="Musicological-Tools_7439987.html">Musicological Tools</a></span>
              </li>
              <li>
                <span><a href="7439804.html">MEI Score Editor (Musical Note Editor)</a></span>
              </li>
              <li>
                <span><a href="Using-the-MEI-Score-Editor_7439898.html">Using the MEI Score Editor</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Create and Modify MEI Documents</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Celia Krause</span>, last modified by <span class="editor">Philipp Vanscheidt</span> on May 30, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p>
              A newly-created MEI Item will already display a music sheet in four-four time with only one measure and no notes within it. The <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a> and the <a href="Properties-View-of-the-MEI-Score-Editor_7439882.html">Properties View</a> will appear, showing the structure of the MEI document. For more information about how to open a new MEI document, please see <span style="color: rgb(0,0,0);">"<a href="Open-the-MEI-Score-Editor_7439812.html">Open the MEI Score Editor</a>".</span> Now you can create new elements for your score.
            </p>
            <p>
              <strong>Staff</strong>
            </p>
            <p>
              "ScoreDef" is a default element and not deletable. Under the “ScoreDef” element you can create the score declarations “StaffGroup” and “StaffDef”.
            </p>
            <p>
              Start with a "StaffGroup", which is a group of bracketed or braced staves. A “StaffGroup” contains lines with clef and time signature. Left-click on a “StaffGroup” element in the <a href="Palette_7439859.html">Palette</a> in the „Create Staves“ section and drag it into the “ScoreDef” element in the <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a> while pressing the left mouse button. After performing this action, you will see no visible results like scores or staves in the <a href="Musical-Score-View_7439823.html">Musical Score View</a> since you have not yet entered a musical event such as a note or rest.
            </p>
            <p>
              <img class="confluence-embedded-image" src="attachments/7439900/8192048.png" data-image-src="attachments/7439900/8192048.png" title="meise-f5_staffgroup_pfeil.png"/>
            </p>
            <p>
              Now you can drag a "StaffDef" element, which is a container for staff meta-information, from the Palette on the “StaffGroup” element in the <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a>. In <span style="color: rgb(0,0,0);">the figure below t</span>hree, “StaffDef” elements have been added and named Staffdef 1, Staffdef 2 and Staffdef 3. This figure also demonstrates how to name a staff and other possible options to change or initialize properties of the single “StaffDef” in the <a href="Properties-View-of-the-MEI-Score-Editor_7439882.html">Properties View</a>.
            </p>
            <p>
              <img class="confluence-embedded-image" width="750" src="attachments/7439900/8192051.png" data-image-src="attachments/7439900/8192051.png" title="meise-f6_staffdefs1.png"/>
            </p>
            <p>
              <strong>Container Creation</strong>
            </p>
            <p>
              The "Section" element is a container for actual music data. “Section” is not a subelement from “ScoreDef”, so you do not need to drag it to the “ScoreDef” element. Drag it instead into the white space underneath the “ScoreDef/StaffGroup/StaffDef” section. Since it is a container and not an event, no visible results will be shown in the <a href="Musical-Score-View_7439823.html">Musical Score View</a>.
            </p>
            <p>
              Dragging the "Measure" element into the “Section” element in the <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a> will have the same (invisible) effect because it is just a container of the content for a measure.
            </p>
            <p>
              After dragging a "Staff" element from the Palette on the “Measure” element in the Outline View, you see the measure with its staff on the left. In <span style="color: rgb(0,0,0);">the screen shot below</span>, there are the three “Staffdefs” and four measures, called Measure 1-4. To illustrate the fact that the staves belong to their measure, the different measures have different numbers of staves. Before you start creating notes and rests, a container for those kind of events is required.
            </p>
            <p>
              <img class="confluence-embedded-image" width="750" src="attachments/7439900/8192053.png" data-image-src="attachments/7439900/8192053.png" title="meise-f8_staff1.png"/>
            </p>
            <p>
               
            </p>
            <p>
              For this reason, you will need to create a "Layer" element on the staff in the <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a>, as shown in the next figure. You can only add events to a “Layer”, since adding an event directly within a staff is not allowed.
            </p>
            <p>
              <img class="confluence-embedded-image" width="350" src="attachments/7439900/8192054.png" data-image-src="attachments/7439900/8192054.png" title="meise-f9_layerinstaff.png"/>
            </p>
            <h5 id="CreateandModifyMEIDocuments-">
              <strong><br/></strong>
            </h5>
            <p>
              <strong>Event: Note, Rest, Beam and Chord</strong>
            </p>
            <p>
              As described in the paragraph above, it is necessary to create a “Layer” before you will be able to add an event such as a quarter note.
            </p>
            <p>
              To create a "Note", you must create a “Note” element on a “Layer” in the <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a>. The default properties (e.g. Duration and Octave 4, Pitchname c) of this note are shown in the <a href="Properties-View-of-the-MEI-Score-Editor_7439882.html">Properties View</a>. In <span style="color: rgb(0,0,0);">the figure below the table</span> some properties of the note in the second measure, which you can edit in the Properties View, are demonstrated. All editing possibilities are listed in the following table:
            </p>
            <div class="table-wrap">
              <table class="confluenceTable">
                <tbody>
                  <tr class="confluenceTr">
                    <td class="confluenceTd">
                      <p>
                        <strong>Property</strong>
                      </p>
                    </td>
                    <td class="confluenceTd">
                      <p>
                        <strong>Explanation</strong>
                      </p>
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td colspan="1" class="confluenceTd">
                      N
                    </td>
                    <td colspan="1" class="confluenceTd">
                      Label for a note, only visible in the source code
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td colspan="1" class="confluenceTd">
                      <p class="TableContents">
                        Accidental
                      </p>
                    </td>
                    <td colspan="1" class="confluenceTd">
                      Accidental of the note, sharps (s), flats (f), neutrals (n), double sharps (x), double flats (ff) and other double accidentals; triple flats (tb), triple sharps (xs) and other less common combinations)
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td colspan="1" class="confluenceTd">
                      Articulation
                    </td>
                    <td colspan="1" class="confluenceTd">
                      Articulations such as acc or stacc
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td colspan="1" class="confluenceTd">
                      <p class="TableContents">
                        Dots
                      </p>
                    </td>
                    <td colspan="1" class="confluenceTd">
                      Number of dots
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td class="confluenceTd">
                      <p class="TableContents">
                        Duration
                      </p>
                    </td>
                    <td class="confluenceTd">
                      <p class="TableContents">
                        1 (whole note), 2, 4, 8, 16, 32, 64, 128 (duration of notes)
                      </p>
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td class="confluenceTd">
                      <p class="TableContents">
                        Octave
                      </p>
                    </td>
                    <td class="confluenceTd">
                      <p class="TableContents">
                        Octave of the note
                      </p>
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td class="confluenceTd">
                      <p class="TableContents">
                        Pitchname
                      </p>
                    </td>
                    <td class="confluenceTd">
                      <p class="TableContents">
                        A, B, C, D, E, F, G as pitchnames
                      </p>
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td class="confluenceTd">
                      <p class="TableContents">
                        StemDirection
                      </p>
                    </td>
                    <td class="confluenceTd">
                      <p class="TableContents">
                        Up or down
                      </p>
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td class="confluenceTd">
                      <p class="TableContents">
                        StemLength
                      </p>
                    </td>
                    <td class="confluenceTd">
                      <p class="TableContents">
                        Length of the stem (the default is 19)
                      </p>
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td class="confluenceTd">
                      <p class="TableContents">
                        Syllable
                      </p>
                    </td>
                    <td class="confluenceTd">
                      <p class="TableContents">
                        Lyrics under the note, visible in the musical score
                      </p>
                    </td>
                  </tr>
                  <tr class="confluenceTr">
                    <td colspan="1" class="confluenceTd">
                      Timestamp
                    </td>
                    <td colspan="1" class="confluenceTd">
                      a time stamp is defined in the form X.000
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
            <p>
              <img class="confluence-embedded-image" width="750" src="attachments/7439900/8192055.png" data-image-src="attachments/7439900/8192055.png" title="meise-f10_note_property.png"/>
            </p>
            <p>
              In the figure on the left<em><span style="color: rgb(0,0,0);"> </span></em><span style="color: rgb(0,0,0);"> </span> you can see the result of the use of the property “Syllable” (text under a note), which you can modify for every note. It is the beginning of a German Christmas song. The value of the property “Syllable” is displayed under the note, to which you added this element. <em><span style="color: rgb(0,0,0);"> </span></em>The figure on the right shows an excerpt of its corresponding source code in MEI, where you can see the usage of a “Syllable” element.
            </p>
            <p>
              <img class="confluence-embedded-image confluence-content-image-border" height="94" width="350" src="attachments/7439900/8192056.png" data-image-src="attachments/7439900/8192056.png" title="meise-f11_syllable.png"/>    <img class="confluence-embedded-image confluence-content-image-border" width="320" src="attachments/7439900/8192057.png" data-image-src="attachments/7439900/8192057.png" title="meise-f12_syllable_source.png"/>
            </p>
            <div class="noprint">
              <br/>
              <div class="table-wrap">
                <div class="table-wrap">
                  <table class="confluenceTable">
                    <tbody>
                      <tr>
                        <th class="confluenceTh">
                          figure A (left), figure B (right)
                        </th>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <p>
               
            </p>
            <p>
              A "Rest" is created in the same way as a note. You will need to drag it onto the “Layer” of the “Staff” where you would like to place the rest. In the <a href="Properties-View-of-the-MEI-Score-Editor_7439882.html">Properties View</a>, you can change the duration of a rest.
            </p>
            <p>
              A "Space" is created in the same way as a note or a rest. After adding a “Space” element, no visible result will be seen. This element is visible only in the context of use with other events because it acts as a placeholder between two events like two notes. The user can also define its duration.
            </p>
            <p>
              The MEI Score Editor is not only able to show single notes, but also connected ones. For this purpose, you will need to drag a "Beam" or a "Chord" from the Palette onto a “Layer”. Afterwards you can add notes on the “Beam” or “Chord” element in the <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a>. An example for the creation of a beam and a chord is given in the figure below<span style="color: rgb(255,0,0);"> </span>. The editable properties of a chord are “Articulation”, “Dots”, “Duration”, “Note count”, “Stem direction”, and “Stem length”, and also "Timestamp".
            </p>
            <p>
              <img class="confluence-embedded-image" width="750" src="attachments/7439900/8192058.png" data-image-src="attachments/7439900/8192058.png" title="meise-f13_beam_chord1.png"/>
            </p>
            <p>
               
            </p>
            <p>
              Alternatively, you can use the context menu of the Outline View for the creation of new elements as children of an existing element. Please use the items "Insert Container/Variant/Event" and "Add Additions..." in the context menu depending where they appear. Since the MEI Schema has strict rules defining the allowed occurrences of elements and their use, the modification of the content must follow certain p<span style="color: rgb(0,51,102);">olicies. <span style="color: rgb(0,0,0);">To guide the user's workflow and reduce the learning curve for MEI, the context menu offers a convenient subset of the most frequently used elements that are valid for creation at the given location, as shown in the figure below.</span> In</span> Windows, adding child elements via context menu can only be done when the MEI Object is open in the <a href="XML-Editor_7439318.html">XML Editor</a>.
            </p>
            <p>
              <span style="color: rgb(255,0,0);"><em><strong><span style="color: rgb(0,0,0);"> </span></strong><img class="confluence-embedded-image confluence-thumbnail" width="300" src="attachments/7439900/8192052.png" data-image-src="attachments/7439900/8192052.png" title="meise-f7_context menu add staffdef.png"/></em></span>
            </p>
            <p>
               
            </p>
            <p>
              When you open an existing MEI document that was not created with the MEI Score Editor, it is possible that there will be "Unknown Elements" displayed in the <a href="Outline-View-of-the-MEI-Score-Editor_7439872.html">Outline View</a>. Not every possible element and attribute from the Music Encoding Initiative data format has been implemented (yet) into the MEI Score Editor. These elements and attributes are not being erased or ignored by the editor, but instead they are represented as an object with a question mark titled “Unknown Element”. Furthermore the name of this unknown element is shown as a property in the <a href="Properties-View-of-the-MEI-Score-Editor_7439882.html">Properties View</a>. For an example, please see <span style="color: rgb(0,0,0);">the last figure below. In the source code of the MEI document, the four staves of the example have a fermata in measure 4, which can not (yet) be displayed by the MEI Score Editor.</span>
            </p>
            <p>
              <span style="color: rgb(0,0,0);"><img class="confluence-embedded-image" width="750" src="attachments/7439900/8192059.png" data-image-src="attachments/7439900/8192059.png" title="meise-f14_unknownelements.png"/><br/></span>
            </p>
            <p>
              <strong><br/></strong>
            </p>
            <p>
              <strong><br/></strong>
            </p>
            <p>
              <strong><br/></strong>
            </p>
            <p>
              <strong><br/></strong>
            </p>
            <p>
              <strong><br/></strong>
            </p>
          </div>
          
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
